JavaScript/jQuery NavBar - Customize Item Appearance

For a minor customization of NavBar items, you can define specific fields in item data objects. For example, the following code generates three items. Each of them has an icon. In addition, the second item is disabled, and the third item has a badge.

JavaScript
  • $(function() {
  • $("#navBarContainer").dxNavBar({
  • items: [
  • { text: "User", icon: "user" },
  • { text: "Find", icon: "find", disabled: true },
  • { text: "Favorites", icon: "favorites", badge: "New" }
  • ]
  • });
  • });

If you need a more flexible solution, define a custom template. For Angular, AngularJS, and Knockout apps, DevExtreme provides the dxTemplate markup component. The following code gives a simple example of how you can use dxTemplate to customize items in the NavBar.

If you use jQuery alone, use DOM manipulation methods to combine the HTML markup for items. To apply this markup, use the itemTemplate callback function as shown in the following code.

JavaScript
  • $(function() {
  • $("#navBarContainer").dxNavBar({
  • items: [
  • { text: "User", icon: "user" },
  • { text: "Find", icon: "find" },
  • // ...
  • ],
  • itemTemplate: function (itemData, itemIndex, itemElement) {
  • var icon = $("<div />").addClass('dx-icon-' + itemData.icon);
  • var label = $("<p />").attr("style", "font-size:12px; margin-top:10px")
  • .text(itemData.text)
  • itemElement.append(icon, label);
  • }
  • });
  • });

You can also customize an individual navigation item. For this purpose, declare a template for this item as a script and pass its id to the template field.

HTML
JavaScript
  • <script id="individualTemplate" type="text/html">
  • <!-- ... -->
  • </script>
  • var navItems = [
  • { text: "User" },
  • { text: "Find" },
  • { text: "About", template: $("#individualTemplate") },
  • // ...
  • ];

In addition, you can use a 3rd-party template engine to customize UI component appearance. For more information, see the 3rd-Party Template Engines article.

See Also

Angular NavBar - Customize Item Appearance

For a minor customization of NavBar items, you can define specific fields in item data objects. For example, the following code generates three items. Each of them has an icon. In addition, the second item is disabled, and the third item has a badge.

HTML
TypeScript
  • <dx-nav-bar>
  • <dxi-item text="User" icon="user"></dxi-item>
  • <dxi-item text="Find" icon="find" [disabled]="true"></dxi-item>
  • <dxi-item text="Favorites" icon="favorites" badge="New"></dxi-item>
  • </dx-nav-bar>
  • import { DxNavBarModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxNavBarModule
  • ],
  • // ...
  • })

If you need a more flexible solution, define a custom template. For Angular, AngularJS, and Knockout apps, DevExtreme provides the dxTemplate markup component. The following code gives a simple example of how you can use dxTemplate to customize items in the NavBar.

HTML
TypeScript
CSS
  • <dx-nav-bar
  • itemTemplate="customTemplate">
  • <div *dxTemplate="let item of 'customTemplate'">
  • <div class="dx-icon-{{item.icon}}"></div>
  • <p class="navbar-template-text">{{item.text}}</p>
  • </div>
  • <dxi-item text="User" icon="user"></dxi-item>
  • <dxi-item text="Find" icon="find"></dxi-item>
  • <dxi-item text="Favorites" icon="favorites"></dxi-item>
  • <dxi-item text="About" icon="info"></dxi-item>
  • <dxi-item text="Home" icon="home"></dxi-item>
  • <dxi-item text="URI" icon="tips"></dxi-item>
  • </dx-nav-bar>
  • import { DxNavBarModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxNavBarModule
  • ],
  • // ...
  • })
  • .navbar-template-text {
  • font-size: 12px;
  • margin-top: 10px;
  • }

If you use jQuery alone, use DOM manipulation methods to combine the HTML markup for items. To apply this markup, use the itemTemplate callback function as shown in the following code.

JavaScript
  • $(function() {
  • $("#navBarContainer").dxNavBar({
  • items: [
  • { text: "User", icon: "user" },
  • { text: "Find", icon: "find" },
  • // ...
  • ],
  • itemTemplate: function (itemData, itemIndex, itemElement) {
  • var icon = $("<div />").addClass('dx-icon-' + itemData.icon);
  • var label = $("<p />").attr("style", "font-size:12px; margin-top:10px")
  • .text(itemData.text)
  • itemElement.append(icon, label);
  • }
  • });
  • });

You can also customize an individual navigation item. For this purpose, declare a template for this item as a script and pass its id to the template field.

HTML
JavaScript
  • <script id="individualTemplate" type="text/html">
  • <!-- ... -->
  • </script>
  • var navItems = [
  • { text: "User" },
  • { text: "Find" },
  • { text: "About", template: $("#individualTemplate") },
  • // ...
  • ];

In addition, you can use a 3rd-party template engine to customize UI component appearance. For more information, see the 3rd-Party Template Engines article.

See Also